package cz.senslog.connector.model.alapans;

import cz.senslog.connector.model.api.AbstractModel;

import java.time.OffsetDateTime;
import java.util.Collections;
import java.util.List;

public class AlapansModel extends AbstractModel {

    private final List<UnitData> unitData;

    public static AlapansModel empty() {
        return new AlapansModel(OffsetDateTime.MIN, OffsetDateTime.MIN, Collections.emptyList());
    }

    public AlapansModel(OffsetDateTime from, OffsetDateTime to, List<UnitData> unitData) {
        super(from, to);
        this.unitData = unitData;
    }

    public List<UnitData> getUnitData() {
        return unitData;
    }
}
